Skip to main content
POST
/
api
/
users
/
{userId}
/
actions
/
reset
Set user password.
curl --request POST \
  --url https://{tenant}/api/users/{userId}/actions/reset \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "api_model": {},
  "current_password": "minimum6charactersPassword",
  "new_password": "newMinimum6CharactersPassword"
}
'
{
  "Message": "User password updated",
  "Meta": null,
  "Status": "OK"
}

Documentation Index

Fetch the complete documentation index at: https://tyk.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The Tyk Dashboard API Access Credentials

Path Parameters

userId
string
required

User ID of the user whose password is being reset.

Body

application/json
api_model
object
current_password
string
Minimum string length: 6
Example:

"testuser1password"

new_password
string
Minimum string length: 6
Example:

"newtestuser1password"

Response

OK

ID
string
Message
string
Meta
any
Status
string